Name:		exfat-utils
Summary:	Utilities for exFAT file system
Version:	1.1.0
%define subrel	1
Release:	%mkrel 3
License:	GPLv3+
Group:		File tools
# Sources are in google docs nowadays
#Source0:	http://exfat.googlecode.com/files/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
Patch0:		exfat-utils-1.0.1-fix-install-destination.patch
Patch1:		0001-Check-sector-and-cluster-size-before-use.patch
Patch2:		0002-Detect-infinite-loop-in-rootdir_size.patch

URL:		https://github.com/relan/exfat
BuildRequires:	scons

%description
A set of utilities for creating, checking, dumping and labeling exFAT file
system.

%prep
%setup -q
%apply_patches

%build
#nothing, install runs build again

%install
export CCFLAGS="%{optflags} -std=c99"
export LDFLAGS="%{ldflags}"
%scons_install

mkdir -p %{buildroot}%{_mandir}/man8/
install -Dpm644 dump/dumpexfat.8 %{buildroot}%{_mandir}/man8/dumpexfat.8

install -Dpm644 fsck/exfatfsck.8 %{buildroot}%{_mandir}/man8/exfatfsck.8
ln -s exfatfsck.8 %{buildroot}%{_mandir}/man8/fsck.exfat.8

install -Dpm644 mkfs/mkexfatfs.8 %{buildroot}%{_mandir}/man8/mkexfatfs.8
ln -s mkexfatfs.8 %{buildroot}%{_mandir}/man8/mkfs.exfat.8

install -Dpm644 label/exfatlabel.8 %{buildroot}%{_mandir}/man8/exfatlabel.8

%files
%doc ChangeLog
%{_sbindir}/*
%{_mandir}/man8/*


%changelog
* Sun Oct 25 2015 wally <wally> 1.1.0-3.1.mga5
+ Revision: 895356
- add patches from upstream git to fix heap overflow and endless loop in exfatfsck (mga#17013)
- fix URL

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 746283
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-2.mga5
+ Revision: 679060
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 wally <wally> 1.1.0-1.mga5
+ Revision: 655278
- new version 1.1.0

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-2.mga4
+ Revision: 523743
- Mageia 4 Mass Rebuild

* Fri May 24 2013 wally <wally> 1.0.1-1.mga4
+ Revision: 426804
- new version 1.0.1
- rediff P0

* Fri Jan 11 2013 umeabot <umeabot> 0.9.8-2.mga3
+ Revision: 349856
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 wally <wally> 0.9.8-1.mga3
+ Revision: 303948
- import exfat-utils based on .spec from upstream

